
string(TOLOWER "${CMAKE_PROJECT_NAME}" PACKAGE_NAME)
set(CPACK_PACKAGE_NAME "${PACKAGE_NAME}")
set(CPACK_PACKAGE_VENDOR "CERN")
set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "${CMAKE_PROJECT_NAME}")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
set(CPACK_PACKAGE_VERSION_MAJOR "${VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${VERSION_PATCH}")

set(CPACK_PACKAGE_CONTACT "Gabriele De Blasi <gabriele.de.blasi@cern.ch>")

set(CPACK_PROJECT_CONFIG_FILE "${CMAKE_SOURCE_DIR}/cmake/PackConfig.cmake")


# Add debug info to package(s)
if ((CMAKE_BUILD_TYPE STREQUAL "Debug") OR
    (CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo"))
  set(CPACK_DEBIAN_DEBUGINFO_PACKAGE ON)

  set(CPACK_RPM_DEBUGINFO_PACKAGE ON)
  set(CPACK_RPM_BUILD_SOURCE_DIRS_PREFIX "/debug")
endif()

# Debian generator
add_custom_target(deb-package COMMAND ${CMAKE_CPACK_COMMAND} -G DEB)


# RPM generator
set(CPACK_RPM_PACKAGE_AUTOREQ 1)
add_custom_target(rpm-package COMMAND ${CMAKE_CPACK_COMMAND} -G RPM)

include(CPack)
